// import { Product } from './product';
import { Warehouse } from './warehouse';

export class Stock {

    constructor(
        private _id: number,
        private _stock: Stock,
        private _warehouse: Warehouse,
        private _existence: number
    ) {}

    get id(): number {
        return this._id;
    }

    get stock(): Stock {
        return this._stock;
    }

    get warehouse(): Warehouse {
        return this._warehouse;
    }

    get existence(): number {
        return this._existence;
    }

    set id(_id: number) {
        this._id = _id;
    }

    set stock(_stock: Stock) {
        this._stock = _stock;
    }

    set warehouse(_warehouse: Warehouse) {
        this._warehouse = _warehouse;
    }

    set existence(_existence: number) {
        this._existence = _existence;
    }
}
